export default class FilesExport {
    constructor({ fetchMethod, filename, filesURL, skipFilesWithError }: {
        fetchMethod: any;
        filename: any;
        filesURL: any;
        skipFilesWithError?: boolean;
    });
    filename: string;
    fetchMethod: any;
    isLoading: boolean;
    skipFilesWithError: boolean;
    downloadProgress: {
        count: number;
    };
    zippingProgress: {
        percent: number;
    };
    filesURL: (id: any) => string;
    _fetchFileBinary(fileId: any): Promise<any>;
    resetProgress(): void;
    _addFilesToZip(items: any, zip: any): Promise<void>;
    _generateZip(zip: any): Promise<any>;
    _saveZip(file: any): Promise<void>;
    _fetchAndZip(zip: any, requestParams: any): Promise<void>;
    exportFiles(files: any, { reqParams }: {
        reqParams: any;
    }): Promise<void>;
}
